Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step.errorhandling
Interface FileErrorHandler

All Known Implementing Classes:
  AbstractFileErrorHandler, CompositeFileErrorHandler, FileErrorHandlerContentLineNumber, FileErrorHandlerMissingFiles

    public interface FileErrorHandler

Author:
  Johnny Vanhentenyk

Method Summary
`void` | `close()` This method closes the handler;
`void` | `handleFile(org.apache.commons.vfs.FileObject file)` Tells the handler which file is being processed.
`void` | `handleLineError(long lineNr, String filePart)` This method handles an error when processing the line with corresponding lineNr.
`void` | `handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but is not accessible.
`void` | `handleNonExistantFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but does not exist.

Method Detail

### handleFile

    void handleFile(org.apache.commons.vfs.FileObject file)
                    throws org.pentaho.di.core.exception.KettleException

  Tells the handler which file is being processed.

  Parameters:
    `file` -
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleLineError

    void handleLineError(long lineNr,
                         String filePart)
                         throws org.pentaho.di.core.exception.KettleException

  This method handles an error when processing the line with corresponding lineNr.

  Parameters:
    `lineNr` -
    `filePart` - allows us to split error according to a filePart
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### close

    void close()
               throws org.pentaho.di.core.exception.KettleException

  This method closes the handler;

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleNonExistantFile

    void handleNonExistantFile(org.apache.commons.vfs.FileObject file)
                               throws org.pentaho.di.core.exception.KettleException

  This method handles a file that is required, but does not exist.

  Parameters:
    `file` -
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleNonAccessibleFile

    void handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)
                                 throws org.pentaho.di.core.exception.KettleException

  This method handles a file that is required, but is not accessible.

  Parameters:
    `file` -
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD